package com.itsol.quantrivanphong.report.reportdetail.bussiness;

import com.itsol.quantrivanphong.model.Project;
import com.itsol.quantrivanphong.report.reportdetail.dto.request.ReportDTO;
import com.itsol.quantrivanphong.report.reportdetail.dto.response.ReportResponseDTO;
import com.itsol.quantrivanphong.report.reportdetail.repository.EmployeeRepository;
import com.itsol.quantrivanphong.report.reportdetail.repository.ProjectRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ReportProjectBussiness {
    @Autowired
    private ProjectRepository projectRepository;

    @Autowired
    private EmployeeRepository employeeRepository;


    public List<Project> listProjectIsTrue(){
        List<Project> projectList = projectRepository.listProjectIsTrue();
        if(projectList.isEmpty()){
            return null;
        }else
            return projectList;
    }

    public ReportResponseDTO reportProjectDetail(ReportDTO reportDTO){

        ReportResponseDTO rd = new ReportResponseDTO();
        rd.setProjectId(reportDTO.getProjectId());
        rd.setProjectName(projectRepository.ProjectName(reportDTO.getProjectId()));
        rd.setTeamLeadList(employeeRepository.findTeamLeadPosition(reportDTO.getProjectId()));
        rd.setMemberList(employeeRepository.findMemberPosition(reportDTO.getProjectId()));
        rd.setFirstPoint(reportDTO.getFirstPoint());
        rd.setFinalPoint(reportDTO.getFinalPoint());

        return rd;
    }
}
